FROM bscdataclay/client:dev20210831-alpine

ENV WORKING_DIR=/demo
ARG DC_SHARED_VOLUME=/srv/dataclay/shared
ARG NAMESPACE=ElasticNFR
ARG DEFAULT_USER=NFRtoolUser
ARG PASS=defaultPass
ARG STUBS_JAR=/demo/stubs.jar
ARG STUBS_PATH=/demo/stubs

ENV DC_SHARED_VOLUME=${DC_SHARED_VOLUME}  \
    DATACLAYCLIENTCONFIG=${WORKING_DIR}/client.properties  \
    DATACLAYGLOBALCONFIG=${WORKING_DIR}/global.properties   \
    DATACLAYSESSIONCONFIG=${WORKING_DIR}/session.properties \
    NAMESPACE=${NAMESPACE}  \
    USER=${DEFAULT_USER}  \
    PASS=${PASS}  \
    STUBSPATH=${STUBS_PATH} \
    STUBS_JAR=${STUBS_JAR} 

WORKDIR ${WORKING_DIR}

# Install maven and nuvla.api:
# TODO: Change usage of nuvla-api from python to bash. The installation of pip3 could be avoided.
RUN apk --no-cache --update add maven openjdk11 mosquitto-clients py3-pip
ENV PATH=/usr/lib/jvm/java-11-openjdk/bin/:${PATH}
# RUN pip3 install nuvla-api

# Copy files
COPY . ${WORKING_DIR}
VOLUME ${DC_SHARED_VOLUME}

ENTRYPOINT ["./dataclay_init.sh"]
CMD mvn clean compile exec:java -Dexec.cleanupDaemonThreads=false -Dexec.mainClass="nfrTool.NFRTool"

